Name: H5Tcreate
Signature:
  hid_t `H5Tcreate`(H5T_class_t `class`, size_t `size` )
Purpose:
  Creates a new datatype.
Description:
  `H5Tcreate` creates a new datatype of the specified class with the specified number of bytes.

  The following datatype classes are supported with this function:

  - `H5T_COMPOUND`
  - `H5T_OPAQUE`
  - `H5T_ENUM`

  Use `H5Tcopy` to create integer or floating-point datatypes.

  The datatype identifier returned from this function should be released with `H5Tclose` or resource leaks will result.

Parameters:

H5T_class_t `class` | Class of datatype to create.
size_t `size` | The number of bytes in the datatype to create.

Returns:
  Returns datatype identifier if successful; otherwise returns a negative value.
Fortran90 Interface: h5tcreate_f

      SUBROUTINE h5tcreate_f(class, size, type_id, hdferr)
        IMPLICIT NONE
        INTEGER, INTENT(IN) :: class             ! Datatype class can be one of
                                                 !    H5T_COMPOUND_F (6)
                                                 !    H5T_ENUM_F     (8)
                                                 !    H5T_OPAQUE_F   (9)
        INTEGER(SIZE_T), INTENT(IN) :: size      ! Size of the datatype
        INTEGER(HID_T), INTENT(OUT) :: type_id   ! Datatype identifier
        INTEGER, INTENT(OUT) :: hdferr           ! Error code
      END SUBROUTINE h5tcreate_f